---


- name: Jitsi config
  template:
    src: templates/jitsi-config.js.j2
    dest: /etc/jitsi/meet/{{ansible_host}}-config.js

- name: Jitsi config
  template:
    src: templates/jitsi-config.js.j2
    dest: /etc/jitsi/meet/{{ansible_host}}-config.js

- name: Jitsi config
  template:
    src: templates/jitsi.cfg.lua.j2
    dest: /etc/prosody/conf.avail/{{ansible_host}}.cfg.lua

- name: Jitsi config
  command: "sed  "s/JICOFO_SECRET/$(grep -e '^JICOFO_SECRET=.*' /etc/jitsi/jicofo/config | cut -d '=' -f2)/g" | \
  sed  "s/TURN_SECRET/$(< /dev/urandom tr -dc _A-Z-a-z-0-9 | head -c${1:-8})/g" \
  > /etc/prosody/conf.avail/{{ansible_host}}.cfg.lua"
  ignore_errors: true

- name: Jitsi config
  template:
    src: templates/sip-communicator.properties.j2
    dest: /etc/jitsi/jicofo/sip-communicator.properties

# prosodyctl register jane $JITSI_DOMAIN janepwd

# TODO Import files for passwordprotection
# See https://dev.to/noandrea/self-hosted-jitsi-server-with-authentication-ie7
#/etc/jitsi/meet/{{ ansible_host }}-config.js
#/etc/prosody/conf.avail/{{ ansible_host }}.cfg.lua
#/etc/jitsi/jicofo/sip-communicator.properties
